import board, neopixel, pwmio, time, mount_sd, digitalio
from adafruit_motor import servo
from audiomp3 import MP3Decoder
from audiopwmio import PWMAudioOut as AudioOut
from adafruit_apds9960.apds9960 import APDS9960

strip_pin = board.GP14
strip_num_of_lights = 30
strip = neopixel.NeoPixel(strip_pin, strip_num_of_lights, brightness = 0.1)

MAGENTA = (255,0,20)
BLACK = (0,0,0)

audio = AudioOut(board.GP15)
path = "/sd/sounds/"

filename = "kiss_more.mp3"
mp3_file = open(path + filename, "rb")
decoder = MP3Decoder(mp3_file)

i2c = board.STEMMA_I2C()
multi_sensor = APDS9960(i2c)
multi_sensor.enable_proximity = True

def play_mp3(filename):
    decoder.file = open(path + filename, "rb")
    audio.play(decoder)
    while audio.playing:
        reading = multi_sensor.proximity
        print(reading)
        if reading > 1:
            audio.pause()
            return None
        elif reading == 0:
            audio.resume()
            for i in range(0,100):
                strip.fill(MAGENTA)
                strip.brightness = i/100
                time.sleep(0.01)
            for i in range(99,-1,-1):
                strip.fill(MAGENTA)
                strip.brightness = i/100
                time.sleep(0.01)

while True:
    reading = multi_sensor.proximity
    print(reading)
    if reading == 0:
        strip.fill(BLACK)
        play_mp3("kiss_more.mp3")






















